Bug 1801869 - Invalid data reported by pkg-config [NEEDINFO]
Summary: Invalid data reported by pkg-config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uid_wrapper
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-11 19:19 UTC by Lukas Slebodnik
Modified: 2020-02-20 05:03 UTC (History)
3 users (show)

Fixed In Version: uid_wrapper-1.2.7-2.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-20 05:03:51 UTC
Type: Bug
lslebodn: needinfo? (asn)


Attachments (Terms of Use)

Description Lukas Slebodnik 2020-02-11 19:19:28 UTC
Description of problem:
The latest version of uid_wrapper returns invalid data for lib in pkg-config.
They cannot be used by LD_PRELOAD


Version-Release number of selected component (if applicable):
sh-5.0$ rpm -q uid_wrapper
uid_wrapper-1.2.7-1.fc32.x86_64

How reproducible:
Deterministic

Steps to Reproduce:
1. dnf install -y uid_wrapper
2. LD_PRELOAD=`pkgconf --libs uid_wrapper` UID_WRAPPER=1 UID_WRAPPER_ROOT=1 id

Actual results:
sh-5.0$ LD_PRELOAD=`pkgconf --libs uid_wrapper` UID_WRAPPER=1 UID_WRAPPER_ROOT=1 id
ERROR: ld.so: object 'lib64/libuid_wrapper.so' from LD_PRELOAD cannot be preloaded (cannot open shared object file): ignored.
uid=1000(build) gid=1000(build) groups=1000(build),135(mock)

Expected results:
sh-5.0$ LD_PRELOAD=`pkgconf --libs uid_wrapper` UID_WRAPPER=1 UID_WRAPPER_ROOT=1 id
uid=0(root) gid=0(root) groups=0(root)

Additional info:
sh-5.0$ cat /usr/lib64/pkgconfig/uid_wrapper.pc 
Name: uid_wrapper
Description: The uid_wrapper library
Version: 1.2.7
Libs: lib64/libuid_wrapper.so

Comment 1 Lukas Slebodnik 2020-02-11 19:31:55 UTC
the same bug is also in f31

Comment 2 Fedora Update System 2020-02-12 09:22:48 UTC
FEDORA-2020-fe538be980 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe538be980

Comment 3 Fedora Update System 2020-02-12 20:41:22 UTC
uid_wrapper-1.2.7-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fe538be980

Comment 4 Lukas Slebodnik 2020-02-14 14:20:08 UTC
I cannot see build for fedora 32 in koji
https://koji.fedoraproject.org/koji/packageinfo?packageID=18138

Could you vackport the patch and trigger a build?

Comment 5 Fedora Update System 2020-02-20 05:03:51 UTC
uid_wrapper-1.2.7-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.